Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80777 - multiple definition of `_XEditResCheckMessages'
Summary: multiple definition of `_XEditResCheckMessages'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openmotif
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 08:01 UTC by Takanori MATSUURA
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 16:21:18 UTC


Attachments (Terms of Use)

Description Takanori MATSUURA 2002-12-31 08:01:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20021229

Description of problem:
The function `_XEditResCheckMessages' is multiply defined.

One is in /usr/X11R6/lib/libXmu.a (openmotif) and the otyher is in
/usr/X11R6/lib/libXm.a (XFree86).

How reproducible:
Always

Steps to Reproduce:
When compiling sources with the flag "-lXm -lXmu".
The source is in
ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools/ncbi.tar.gz

Actual Results:
/usr/X11R6/lib/libXmu.a(EditresCom.o): In function `_XEditResCheckMessages':
EditresCom.o(.text+0x0): multiple definition of `_XEditResCheckMessages'
/usr/X11R6/lib/libXm.a(EditresCom.o)(.text+0x70): first defined here


Expected Results:
compile successfully.

Comment 1 Thomas Woerner 2003-01-21 16:21:18 UTC
Fixed in rawhide in rpm openmotif-2.2.2-13 or newer.


Note You need to log in before you can comment on or make changes to this bug.